/**
 * 
 */
package de.lazyzero.NazeWiiConf.gui.widget;

import javax.swing.JPanel;
import javax.swing.border.Border;
import javax.swing.border.TitledBorder;

import com.jgoodies.forms.layout.CellConstraints;
import com.jgoodies.forms.layout.FormLayout;

import de.lazyzero.NazeWiiConf.NazeWiiConf;

/**
 * @author moll
 *
 */
public abstract class NazeConfWidget extends JPanel {

	private static final long serialVersionUID = 1L;
	protected String title;
	private Border border;
	private String panelColumns;
	private String panelRows;
	protected FormLayout panelLayout;
	protected CellConstraints cc = new CellConstraints();
	protected NazeWiiConf instance;


	
	/**
	 * 
	 */
	public NazeConfWidget(String title, NazeWiiConf instance) {
		this.title = title;
		this.instance = instance;
		
		this.border = new TitledBorder(this.title);
		this.setBorder(this.border);
	}
	
	abstract protected void initGUI();

	public String getTitle() {
		return title;
	}
}
